/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GUI;

import DB.Logic;
import java.awt.Color;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;

/**
 *
 * @author swinkx
 */
public class GUI extends JFrame{
    private JTabbedPane tabbedPane;//lapokat("füleket") megjelenítő SWING elem
    private TeacherTable teacherTable;
    private	JPanel	panel1;//első lap
    private	JPanel	panel2;//második lap
    private	JPanel	panel3;//harmadik lap

    public GUI(Logic logic){
        setTitle( "Tabbed Pane Application" );
        setSize( 640, 480 );
        setBackground( Color.gray );
        setDefaultCloseOperation(EXIT_ON_CLOSE);
                
        panel1 = new JPanel();
        teacherTable = new TeacherTable(logic);
        panel1.add( new JScrollPane(teacherTable.getTable()) );
    
        panel1.add(new JButton(new DeleteAction()));//DELETE gomb
        
        panel2 = new JPanel();
        panel3 = new JPanel();
        
        
        tabbedPane = new JTabbedPane();
        tabbedPane.addTab( "Page 1", panel1 );
        tabbedPane.addTab( "Page 2", panel2 );
        tabbedPane.addTab( "Page 3", panel3 );
        add(tabbedPane);
    }
    
    private class DeleteAction extends AbstractAction{
        
        public DeleteAction(){
            super("DELETE");
        }

        /*
         * Ha megnyomják a gombot, akkor a teachertable-ből törlünk
         */
        @Override
        public void actionPerformed(ActionEvent arg0) {
            teacherTable.deleteRows();
        }
    }
}
