package swingschooljdbc.logic.controllers;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import swingschooljdbc.logic.DataSource;
import swingschooljdbc.logic.entities.Groupp;

public class GrouppController {

    Groupp getGroupById(int groupId) throws SQLException {
        Groupp group = new Groupp();
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement();
                ResultSet resultSet = statement.executeQuery("SELECT * FROM \"GROUP\" WHERE GROUP_ID = " + groupId);) {
            resultSet.next();
            group.setGroupId(resultSet.getInt(1));
            group.setName(resultSet.getString(2));
        }
        return group;
    }

    public int getGrouppCount() throws SQLException {
        int grouppCount;
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement();
                ResultSet resultSet = statement.executeQuery("SELECT COUNT(*) AS CNT FROM \"GROUP\"");) {
            resultSet.next();
            grouppCount = resultSet.getInt("CNT");
        }
        return grouppCount;
    }

    public Groupp getGroupp(int rowIndex) throws SQLException {
        Groupp group = new Groupp();
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
                ResultSet resultSet = statement.executeQuery("SELECT * FROM \"GROUP\"");) {
            resultSet.absolute(rowIndex + 1);
            group.setGroupId(resultSet.getInt(1));
            group.setName(resultSet.getString(2));
        }
        return group;
    }
}
