package swingschooljdbc.logic.controllers;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import swingschooljdbc.logic.DataSource;
import swingschooljdbc.logic.entities.Groupp;
import swingschooljdbc.logic.entities.Subject;

public class SubjectController {

    public int getSubjectCount() throws SQLException {
        int subjectCount;
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement();
                ResultSet resultSet = statement.executeQuery("SELECT COUNT(*) AS CNT FROM SUBJECT");) {
            resultSet.next();
            subjectCount = resultSet.getInt("CNT");
        }
        return subjectCount;
    }

    public Subject getSubject(int rowIndex) throws SQLException {
        Subject subject = new Subject();
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
                ResultSet resultSet = statement.executeQuery("SELECT * FROM SUBJECT");) {
            resultSet.absolute(rowIndex + 1);
            subject.setSubjectId(resultSet.getInt(1));
            subject.setTitle(resultSet.getString(2));
        }
        return subject;
    }

    Subject getSubjectById(int subjectId) throws SQLException {
        Subject subject = new Subject();
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement();
                ResultSet resultSet = statement.executeQuery("SELECT * FROM SUBJECT WHERE SUBJECT_ID = " + subjectId);) {
            resultSet.next();
            subject.setSubjectId(resultSet.getInt(1));
            subject.setTitle(resultSet.getString(2));
        }
        return subject;        
    }
}
