package swingschooljdbc.logic.controllers;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import swingschooljdbc.logic.DataSource;
import swingschooljdbc.logic.entities.Groupp;
import swingschooljdbc.logic.entities.Teacher;

public class TeacherController {
    public int getTeacherCount() throws SQLException {
        int teacherCount;
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement();
                ResultSet resultSet = statement.executeQuery("SELECT COUNT(*) AS CNT FROM TEACHER");) {
            resultSet.next();
            teacherCount = resultSet.getInt("CNT");
        }
        return teacherCount;
    }

    public Teacher getTeacher(int rowIndex) throws SQLException {
        Teacher teacher = new Teacher();
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
                ResultSet resultSet = statement.executeQuery("SELECT * FROM TEACHER");) {
            resultSet.absolute(rowIndex + 1);
            teacher.setTeacherId(resultSet.getInt(1));
            teacher.setFirstName(resultSet.getString(2));
            teacher.setLastName(resultSet.getString(3));
        }
        return teacher;
    }

    Teacher getTeacherById(int teacherId) throws SQLException {
        Teacher teacher = new Teacher();
        try (
                Connection connection = DataSource.getInstance().getConnection();
                Statement statement = connection.createStatement();
                ResultSet resultSet = statement.executeQuery("SELECT * FROM TEACHER WHERE TEACHER_ID = " + teacherId);) {
            resultSet.next();
            teacher.setTeacherId(resultSet.getInt(1));
            teacher.setFirstName(resultSet.getString(2));
            teacher.setLastName(resultSet.getString(3));
        }
        return teacher;
    }
    
}
