/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DB;

/**
 * Eze a szál kezeli a kérvényezett változtatásokat az adatbázisban. Majd visszaszól,
 * hogy hány sor módosult.
 * @author swinkx
 */
public class DataUpdater extends Thread{
    private String update;
    private UpdateCallback callback;

    /*
     * Konstruktor
     */
    public DataUpdater(String update, UpdateCallback callback) {
        this.update = update;
        this.callback = callback;
    }

    @Override
    public void run() {
        Connection conn = Connection.getInstance();//Lekérjük az adatbázis kapcsolatot
        
        //Elvégezzük a módosításokat
        int diff = conn.executeUpdate(update);
        
        callback.DataUpdated(diff);//Jelezzük, hogy diff darab sor módosult
    }
}
